DCMTK - Feature #455

Add support for Doxygen's "tag files"
2012-10-25 16:46 - Jorg Riesmeier

Status: Closed Start date: 2012-10-25
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Documentation Estimated time: 0:00 hour
Target version: 3.6.2

Module: doxygen Compiler:

Operating System:

Description

These tag files can be used to link the DCMTK documentation from external projects. See:
http://www.stack.nl/~dimitri/doxygen/external.html

This has already been used successfully for the DICOM WSI Converter. Here's the patch to the DCMTK:

diff --git a/doxygen/CMakelLists.txt b/doxygen/CMakelLists.txt
index b05e9d8..f0256ec 100644
-—— a/doxygen/CMakelists.txt
+++ b/doxygen/CMakelists.txt
@@ -36,6 +36,8 @R IF (DCMTK_WITH_DOXYGEN)

IF (NOT WIN32)

INSTALL (DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/manpages/ DESTINATION ${DCMTK_INSTALL_MANDIR} C

OMPONENT man PATTERN "CVS" EXCLUDE)

ENDIF (NOT WIN32)
+ # install tag file
+ INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dcmtk.tag DESTINATION ${DCMTK_INSTALL_DOCDIR} COMPONE
NT doc)

# cleanup created files on "make clean" - directories are not removed with CMake 2.4 :—/
SET (make_clean_files ${CMAKE_CURRENT_BINARY_DIR}/htmldocs ${CMAKE_CURRENT_BINARY_DIR}/manpages)
diff --git a/doxygen/htmldocs.cfg b/doxygen/htmldocs.cfg
index 150d854..e52e5ef 100644
—-—— a/doxygen/htmldocs.cfg
+++ b/doxygen/htmldocs.cfg
@@ -1531,7 +1531,7 @@ TAGFILES =
# When a file name is specified after GENERATE_TAGFILE, doxygen will create
# a tag file that is based on the input files it reads.

—GENERATE_TAGFILE =
+GENERATE_TAGFILE = dcmtk.tag

# If the ALLEXTERNALS tag is set to YES all external classes will be listed
# in the class index. If set to NO only the inherited external classes

However, when adding this feature to the DCMTK, there should be an CMake option for this since the "dcmtk.tag" file gets pretty
large (about 14 MB).

History

#1 - 2013-09-04 18:50 - JOorg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

Closed by this commit: http:/git.dcmtk.org/web?p=dcmitk.qit;a=commit;h=f0fc34c1fe63bb3b7d5689bf8ab56a439d93ec3c
